# ---------------------------------------------------------------------------
# Inundation_line.py
# Created on: Tue May 12 2009 01:50:45 PM
#   (generated by ArcGIS/ModelBuilder)
# Usage: Inundation_line <Bun_depth_M_E> <Bus_depth_M_E> <bunbury_1km> <busselton_1km> 
# ---------------------------------------------------------------------------

# Import system modules
import sys, string, os, arcgisscripting, glob

# Create the Geoprocessor object
gp = arcgisscripting.create()
gp.overwriteoutput = 1

# Set the necessary product code
gp.SetProduct("ArcInfo")

# Check out any necessary licenses
gp.CheckOutExtension("spatial")

# Load required toolboxes...
gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Spatial Analyst Tools.tbx")
gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Conversion Tools.tbx")
gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Data Management Tools.tbx")
gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Analysis Tools.tbx")

# Script arguments...
time_dir1 = '20090324_134442_run_final_1_27255_Bt_kvanputt'
time_dir2 = '20090324_154738_run_final_1_27283_Bt_kvanputt'
time_dir3 = '20090324_154824_run_final_1_68693_Bt_kvanputt'
time_dir4 = '20090327_154730_run_final_0_68693_Bt_kvanputt'
time_dir5 = '20090327_154824_run_final_0_27255_Bt_kvanputt'
time_dir6 = '20090327_160753_run_final_0_27283_Bt_kvanputt'

time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]   

community = 'carnarvon'
scenario = "\\\\nas2\\gemd\\georisk_models\\inundation\\data\\western_australia\\" + community +"_tsunami_scenario\\"
output_folder = scenario + "anuga\\outputs\\"
location = 'CBD'
extent = scenario + "map_work\\Carnarvon.gdb\\Polygon\\Carnarvon5m_clip"
depth = 'CBD_dep__M_E'

for time_dir in time_dirs:

    raster = output_folder + time_dir + "\\raster.gdb\\"
    print 'location', location
    print 'extent', extent

    # Local variables...
    Output_raster = raster +"Temp_raster_"+ location
    Output_polygon_features = raster +"Temp_polygon_"+ location
    Output_Feature_Class = raster +"Temp_line_"+ location
    Reclassification = "0 0.05 NODATA;0.05 4.5840001106262207 1"
    Inundation = raster + "Inundation_" + location + "_polygon"
    depth_loc = raster + depth
    
    print 'Process: Reclassify'
    gp.Reclassify_sa(depth_loc, "Value", Reclassification, Output_raster, "DATA")
    
    print 'Process: Raster to Polygon'
    gp.RasterToPolygon_conversion(Output_raster, Output_polygon_features, "SIMPLIFY", "VALUE")

    print 'Process: Clip'
    gp.Clip_analysis(Output_polygon_features, extent, Inundation, "")

    print 'Process: Delete'
    gp.Delete_management(Output_raster, "RasterDataset")
    gp.Delete_management(Output_polygon_features, "FeatureClass")
